Package Details: mov-cli-git 1.4.6.r3.g1c8605d-1

Git Clone URL: https://aur.archlinux.org/mov-cli-git.git (read-only, click to copy)
Package Base: mov-cli-git
Description: A cli tool to browse and watch movies/shows.
Upstream URL: https://github.com/mov-cli/mov-cli
Keywords: movies streaming tui
Licenses: GPL3
Provides: mov-cli
Submitter: anakojm
Maintainer: anakojm
Last Packager: anakojm
Votes: 1
Popularity: 0.011358
First Submitted: 2023-05-06 11:47 (UTC)
Last Updated: 2023-07-28 01:38 (UTC)

Latest Comments

anakojm commented on 2024-01-29 11:48 (UTC) (edited on 2024-01-29 11:48 (UTC) by anakojm)

I can’t reproduce. Neither through the AUR nor pip.

I did get a similar error: FileNotFoundError: [Errno 2] No such file or directory: '/home/anakojm/.config/mov-cli/provider.mov-cli' but it was fixed upon restarting mov-cli, as instructed.

The file ~/.config/mov-cli/lang.mov-cli contains en (without a newline at the end) for me. You could manually create it with printf 'en' > ~/.config/mov-cli/lang.mov-cli (of course replace en with whatever language you want).

TheHighGroundWin commented on 2024-01-27 18:34 (UTC)

FileNotFoundError: [Errno 2] No such file or directory: '/home/jc/.config/mov-cli/lang.mov-cli'

happens when using aur and when installing via pip.

might have to do with python versions changing.

anakojm commented on 2023-07-28 01:11 (UTC) (edited on 2023-07-28 01:19 (UTC) by anakojm)

I’ll add porn-cli has an optional dependency

but I won’t package it both for political reasons and also because it provide access to loli hentai, something i do not wish to participate in sharing.

package it yourself if you want

has for the other issue, I’ll get in contact with the dev since they have solved the issue by creating the tag. I’ll see if the issue is on my side or theirs

this seems to happen in porn-cli too https://github.com/mov-cli/porn-cli/issues/6

exponential commented on 2023-07-25 20:00 (UTC) (edited on 2023-07-25 20:01 (UTC) by exponential)

porn-cli is now an optional dependency. https://github.com/mov-cli/porn-cli

for packaging, this is less complex and less error prone

python3 -m installer --destdir="$pkgdir" dist/*.whl

LemonPie commented on 2023-07-23 09:31 (UTC) (edited on 2023-07-23 09:33 (UTC) by LemonPie)

I see the problem. This is how the dev chooses to changes the git tag number. we either can discuss this with him and ask for a more consistent tag change. or look for another mothod to get the current version number.

since you are the package maintainer will you make an issue in github. discussing the problem of incrementing version number in pyproject.toml but not incrementing git tag version.

anakojm commented on 2023-07-21 08:42 (UTC) (edited on 2023-07-21 08:54 (UTC) by anakojm)

thank you for the comment.

my testings indicate that this comes from another issue.

you can see how the $_py variable get transformed correctly (${_py##* }) line 33.

the issue is weirder than this, for some reason the package compiled by python is at version 1.4.6.

this is not consistent with the github tags, I don’t understand why this happens at all.

edit: this commit seems to bump the release version, but the github tag hasn’t been updated https://github.com/mov-cli/mov-cli/commit/d279bfe1fb7bc57da302f1fa9d80fe9925af8b61

LemonPie commented on 2023-07-20 09:56 (UTC)

error

FileNotFoundError: [Errno 2] No such file or directory: '/home/suren/.cache/yay/mov-cli-git/src/mov-cli/dist/mov_cli-1.4.5-py3-none-any.whl'
==> ERROR: A failure occurred in package().

cause

$ _py=$(python --version)
  _py=${_py%%.*}
$ echo $_py
Python 3

fix:

manipulate _py string to remove word python. sed or awk is a good option, ie $ echo $_py | awk '{print $2}'

anakojm commented on 2023-06-21 03:56 (UTC) (edited on 2023-06-21 03:56 (UTC) by anakojm)

Fixed: https://aur.archlinux.org/cgit/aur.git/commit/?h=mov-cli-git&id=fab8e999b56999d8ecce027febfac6c4ba5ef4e0

Thanks for the comment.

LemonPie commented on 2023-06-19 18:39 (UTC) (edited on 2023-06-19 18:44 (UTC) by LemonPie)

please update base version of package current is 1.4.3

if you want to automate this you might be able to use

git describe --tags

related github discussion